using System;
using System.Collections.Generic;
using System.Text;
using LighthouseShared;

namespace Lighthouse
{
    public class UserInfo : IUserInfo
    {

        #region IUserInfo Members

        internal string m_ScreenName;
        public string ScreenName
        {
            get { return m_ScreenName; }
        }

        internal bool m_Op = false;
        public bool Op
        {
            get { return m_Op; }
        }

        internal string m_OppedBy;
        public string OppedBy
        {
            get { return m_OppedBy; }
        }

        internal bool m_Immune = false;
        public bool Immune
        {
            get { return m_Immune; }
        }

        internal string m_ImmunedBy;
        public string ImmunedBy
        {
            get { return m_ImmunedBy; }
        }

        internal bool m_Here = false;
        public bool Here
        {
            get { return m_Here; }
        }

        internal bool m_Banned = false;
        public bool Banned
        {
            get { return m_Banned; }
        }

        internal string m_BannedBy;
        public string BannedBy
        {
            get { return m_BannedBy; }
        }

        internal ICollection<ICommandInfo> m_Permissions;
        public ICollection<ICommandInfo> Permissions
        {
            get { return m_Permissions; }
        }

        #endregion
    }
}
