using System;
using System.Collections.Generic;
using System.Text;

namespace LighthouseShared
{
    public delegate void CommandCallback(ICommandInfo commandinfo, IUserInfo userinfo, string args);

    public interface ICommandInfo
    {
        string Name { get; }
        string Command { get; set; }
        string Help { get; }
        CommandCallback Callback { get; }
        IPlugin Plugin { get; }
        bool Enabled { get; set; }
    }
}
