using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Oscar5Plugin
{
    public partial class FormProperties : Form
    {
        Oscar5 m_Plugin;

        public FormProperties(Oscar5 plugin)
        {
            m_Plugin = plugin;
            InitializeComponent();

            textBox1.Text = m_Plugin.m_Host;
            textBox2.Text = m_Plugin.m_Port.ToString();

            checkBox1.Checked = m_Plugin.m_ReceiveChatPackets;
            checkBox2.Checked = m_Plugin.m_ReceiveIMPackets;
        }

        private void FormProperties_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            m_Plugin.m_Host = textBox1.Text;
            try
            {
                m_Plugin.m_Port = int.Parse(textBox2.Text);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

            m_Plugin.m_ReceiveChatPackets = checkBox1.Checked;
            m_Plugin.m_ReceiveIMPackets = checkBox2.Checked;

            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}